#pragma once

#include "CoreMinimal.h"
#include "IgnoreCollisionsPalletHandlerComponent.h"
#include "K36PalletFlyCollisionHandlerComponent.generated.h"

class UPrimitiveComponent;
class AActor;

UCLASS(Blueprintable, Abstract, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK36PalletFlyCollisionHandlerComponent : public UIgnoreCollisionsPalletHandlerComponent
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintCallable)
	void OnComponentEndOverlapWithKiller(UPrimitiveComponent* overlappedComponent, AActor* otherActor, UPrimitiveComponent* otherComp, int32 otherBodyIndex);

public:
	UK36PalletFlyCollisionHandlerComponent();
};

FORCEINLINE uint32 GetTypeHash(const UK36PalletFlyCollisionHandlerComponent) { return 0; }
